# Notes

To keep the code samples as simple as possible, all examples use the 
[MNIST](http://yann.lecun.com/exdb/mnist/) dataset for training a Convolutional 
Neural Network on the hand-written digit classification problem. Furthermore, we 
decided to take code samples from the official models/examples repositories 
maintained by the respective framework developers, as these are the same samples one 
uses when getting started with the framework. 

However, the original examples are designed to automatically download the required 
dataset in a framework-defined directory. This is not a feasible option as compute 
nodes on the supercomputers do not have access to the Internet. Therefore, the samples 
have been slightly modified to load data from this `datasets` directory. It contains 
the MNIST dataset in different formats because samples for different frameworks expect 
the dataset in a different format.

It is possible to set the `DL_TEST_DATA_HOME` environment variable to point to a 
different directory, however, the contents of that directory must contain a 
recursive copy of the `mnist` sub-directory as available here.