#!/usr/bin/env bash

#BSUB -q normal
#BSUB -W 10
#BSUB -n 1
#BSUB -R "span[ptile=1]"
#BSUB -gpu "num=1"
#BSUB -e "error.%J.er"
#BSUB -o "output_%J.out"
#BSUB -J CAFFE_MNIST_CMD

# Load the Python and Caffe modules
module load python/2.7.14
module load caffe/1.0-gcc_5.4.0-cuda_10.0.130

# Train a model for MNIST
caffe train --solver=lenet_solver.prototxt -gpu 0